/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

var $j = jQuery;
// var $j = jQuery.noConflict();

jQuery(document).ready(function() {
    var password           = $j('#jform_password');
    var login              = $j('#jform_username');
    var password_value_old = password.val();
    var login_value_old    = login.val();
    var entryPoint = $j("#jform_note_qrcode_image");

    if (entryPoint.length > 0) {
        entryPoint.parent().prepend(
            "<div id='mobileassistantconnector_qr_code_container'><div id='mobileassistantconnector_qr_code_img'>" +
            "</div></div>"
        );

        var qrcodeContainer = document.getElementById('mobileassistantconnector_qr_code_img');
        var qrCode = new QRCode(qrcodeContainer, {
            width : 300,
            height : 300
        });

        qrCode.makeCode($j('#jform_qr_code_data').val());

        $j("#mobileassistantconnector_qr_code_container").append(
            "<div id='mobileassistantconnector_qrcode_changed'>Login details have been changed. Save changes for " +
            "code to be regenerated</div>"
        );
    }

    login.keyup(function() {
        changeQRCode();
    });

    password.keyup(function() {
        changeQRCode();
    });

    function changeQRCode() {
        var login_new      = login.val();
        var password_new   = password.val();
        var qrcode_changed = $j('#mobileassistantconnector_qrcode_changed');
        var qrcode_img     = $j('#mobileassistantconnector_qr_code_img');

        if (login_value_old != login_new || password_value_old != password_new) {
            $j(qrcode_changed).show('fast');
            $j(qrcode_img).css('opacity', '0.1');
        } else {
            $j(qrcode_changed).hide('fast');
            $j(qrcode_img).css('opacity', '1');
        }
    }

    function removeClass(element, className) {
        if (element.length > 0) {
            element.removeClass(className);
        }
    }
});
