<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

defined('_JEXEC') or die;

JLoader::register('MobileassistantconnectorHelper', JPATH_ADMINISTRATOR . '/components/com_mobileassistantconnector/helpers/mobileassistantconnector.php');

class JHtmlUser
{
    public static function association($user)
    {
        // Defaults
        $html = '';

        // Get the associations
        if ($associations = JLanguageAssociations::getAssociations(
            'com_mobileassistantconnector',
            '#__mobassistantconnector_users',
            'com_mobileassistantconnector.user', $user))
        {
            foreach ($associations as $tag => $associated)
            {
                $associations[$tag] = (int) $associated->user_id;
            }

            // Get the associated user items
            $db = JFactory::getDbo();
            $query = $db->getQuery(true)
                ->select('c.user_id, c.username as title')
                ->from('#__mobassistantconnector_users as c')
                ->where('c.user_id IN (' . implode(',', array_values($associations)) . ')');
            $db->setQuery($query);

            try
            {
                $items = $db->loadObjectList('user_id');
            }
            catch (RuntimeException $e)
            {
                throw new Exception($e->getMessage(), 500);
            }

            $html = JLayoutHelper::render('joomla.content.associations', $items);
        }

        return $html;
    }

}
