<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

defined('_JEXEC') or die;

class MobileassistantconnectorHelper
{
    public static $extension = 'com_mobileassistantconnector';

    public static function addSubmenu($vName)
    {
        $name = JText::_('Users');
        $link = 'index.php?option=com_mobileassistantconnector&view=users';
        $active = $vName == 'mobileassistantconnector';

        if (version_compare(JVERSION,'3.0', '>=')) {
            JHtmlSidebar::addEntry(
                $name,
                $link,
                $active
            );
        } else {
            JSubMenuHelper::addEntry(
                $name,
                $link,
                $active
            );
        }
    }

    public static function getActions($categoryId = 0, $section = '', $id = 0)
    {
        if (version_compare(JVERSION,'3.0', '>=')) {
            $canDo = JHelperContent::getActions($id, $section, $categoryId);
            return $canDo;
        }

        $user	= JFactory::getUser();
        $result	= new JObject;

        if (empty($categoryId)) {
            $assetName = 'com_mobileassistantconnector';
        } else {
            $assetName = 'com_mobileassistantconnector.user.'.(int) $categoryId;
        }

        $actions = array(
            'user.view', 'user.edit'
        );

        foreach ($actions as $action) {
            $result->set($action,	$user->authorise($action, $assetName));
        }

        return $result;
    }
}
