-- This will install all the tables need to run Mobile Assistant Connector component

--
-- Table structure for table `#__mobassistantconnector_session_keys`
--

CREATE TABLE IF NOT EXISTS `#__mobassistantconnector_session_keys` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `session_key` VARCHAR(100) NOT NULL,
  `user_id` INT(10),
  `date_added` DATETIME NOT NULL,

  PRIMARY KEY (`id`),
  UNIQUE KEY UNQ_MOB_USER_ID (`user_id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Table structure for table `#__mobassistantconnector_failed_login`
--

CREATE TABLE IF NOT EXISTS `#__mobassistantconnector_failed_login` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ip` VARCHAR(20) NOT NULL,
  `date_added` DATETIME NOT NULL,

  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Table structure for table `#__mobassistantconnector_push_notifications`
--

CREATE TABLE IF NOT EXISTS `#__mobassistantconnector_push_notifications` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `device_unique_id` INT(10),
  `user_id` INT(10),
  `device_id` VARCHAR(200),
  `new_order` TINYINT,
  `new_customer` TINYINT,
  `order_statuses` VARCHAR(100),
  `app_connection_id` SMALLINT,
  `id_shop` SMALLINT DEFAULT -1,
  `currency_code` SMALLINT,

  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Table structure for table `#__mobassistantconnector_devices`
--

CREATE TABLE IF NOT EXISTS `#__mobassistantconnector_devices` (
  `device_unique_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `device_unique` VARCHAR(100),
  `account_id` INT(10),
  `device_name` VARCHAR(150),
  `last_activity` DATETIME NOT NULL,
  PRIMARY KEY (`device_unique_id`),
  UNIQUE KEY UNQ_MOB_DEV_ID (`device_unique`, `account_id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Table structure for table `#__mobassistantconnector_users`
--

CREATE TABLE IF NOT EXISTS `#__mobassistantconnector_users` (
  `user_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(100) NOT NULL,
  `password` VARCHAR(35) NOT NULL,
  `allowed_actions` VARCHAR(1000),
  `qr_code_hash` VARCHAR(70),
  `status` TINYINT,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY UNQ_MOB_USER (`username`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Table structure for table `#__mobassistantconnector_accounts`
--

CREATE TABLE IF NOT EXISTS `#__mobassistantconnector_accounts` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `account_email` VARCHAR(100) NOT NULL,
  `status` TINYINT,
  PRIMARY KEY (`id`),
  UNIQUE KEY UNQ_MOB_ACCOUNT (`account_email`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

