<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

defined('_JEXEC') or die;

require_once( JPATH_SITE . '/components/com_mobileassistantconnector/helpers/devices.php');
require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/permissions.php';
require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/device_and_push_notifications.php';
require_once( JPATH_COMPONENT . '/helpers/mobileassistantconnector.php');

$input = JFactory::getApplication()->input;

if ($input->getCmd('task', '') !== 'update.updateinfo')
{
    if ($input->getCmd('view', '') != 'users' && $input->getCmd('view', '') != 'user')
    {
        $appl = JFactory::getApplication();
        $appl->redirect('index.php?option=com_mobileassistantconnector&view=users');
    }
}

if (!JFactory::getUser()->authorise('user.view', 'com_mobileassistantconnector'))
{
    return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Load the current component params.
$params = JComponentHelper::getParams('com_mobileassistantconnector');
// Set new value of param(s)
$params->set('api_key', 'AIzaSyDkV-b1f1maWO4zT6UNiENFJz6Gr2xZXek');
$componentid = JComponentHelper::getComponent('com_mobileassistantconnector')->id;
$table = JTable::getInstance('extension');
$table->load($componentid);
$table->bind(array('params' => $params->toString()));

// check for error
if (!$table->check()) {
    echo $table->getError();
    return false;
}
// Save to database
if (!$table->store()) {
    echo $table->getError();
    return false;
}

$controller = JControllerLegacy::getInstance('mobileassistantconnector');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
