<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

$document = JFactory::getDocument();
$document->addScript(JURI::root(). "components/com_mobileassistantconnector/assets/js/qrcode.min.js");
$document->addScript(JURI::base(). "components/com_mobileassistantconnector/assets/js/qrcode_app_user.js");

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user      = JFactory::getUser();
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn  = $this->escape($this->state->get('list.direction'));
$canView = $user->authorise('user.view','com_mobileassistantconnector');
?>

<form action="<?php echo JRoute::_('index.php?option=com_mobileassistantconnector&view=users'); ?>" method="post" name="adminForm" id="adminForm">
    <?php if (!empty( $this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif;?>
            <div class="clearfix"></div>
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th width="2%">
                        <input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
                    </th>
                    <th width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'a.status', $listDirn, $listOrder); ?>
                    </th>
                    <th class="10%">
                        <?php echo JHtml::_('searchtools.sort', 'Username', 'a.username', $listDirn, $listOrder); ?>
                    </th>
                    <th width="45%">
                        <?php echo JText::_('Permissions'); ?>
                    </th>
                    <th width="5%">
                        <?php echo JHtml::_('searchtools.sort', 'User ID', 'a.user_id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="5">
                    </td>
                </tr>
                </tfoot>
                <tbody>
                <?php foreach ($this->items as $i => $item) :
                    $canEdit  = $user->authorise('user.edit','com_mobileassistantconnector');
                    ?>
                    <tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->user_id?>">
                        <td>
                            <?php echo JHtml::_('grid.id', $i, $item->user_id); ?>
                        </td>
                        <td class="center">
                            <div class="btn-group">
                                <?php echo JHtml::_('jgrid.published', $item->status, $i, 'users.', $canEdit, 'cb'); ?>
                            </div>
                        </td>
                        <td>
                            <div class="pull-left">
                                <a href="<?php echo
                                JRoute::_('index.php?option=com_mobileassistantconnector&view=user&layout=edit&user_id='
                                    . (int) $item->user_id); ?>"><?php echo $this->escape($item->username); ?>
                                </a>
                            </div>
                        </td>
                        <td>
                            <?php
                            $restricted_actions = MobileassistantconnectorHelperPermissions::getRestrictedActions();
                            $action_codes = explode(';', $item->allowed_actions);
                            echo MobileassistantconnectorHelperPermissions::getUserAllowedActionsAsString(
                                $action_codes,
                                $restricted_actions
                            );
                            ?>
                        </td>
                        <td>
                            <?php echo (int) $item->user_id; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
            <input type="hidden" name="task" value=""/>
            <input type="hidden" name="boxchecked" value="0"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </div>
</form>
