<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

class MobileassistantconnectorHelperDevices extends JHelperContent
{
    public static function getActiveDevices()
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
            ->select('
                mpn.`id`,
                mpn.`device_id`,
                mpn.`app_connection_id`,
                mpn.`currency_code`,
                mpn.`new_order`,
                mpn.`new_customer`,
                mpn.`order_statuses`,
                mpn.`id_shop`'
            )
            ->from($db->quoteName('#__mobassistantconnector_push_notifications', 'mpn'))
            ->leftJoin('#__mobassistantconnector_devices AS md ON (md.device_unique_id = mpn.device_unique_id)')
            ->leftJoin('#__mobassistantconnector_accounts AS ma ON (ma.id = md.account_id)')
            ->leftJoin('#__mobassistantconnector_users AS mu ON (mu.user_id = mpn.user_id)')
            ->where('ma.status = 1 AND mu.status = 1 OR mpn.user_id IS NULL OR md.account_id IS NULL
                OR md.account_id = 0');
        $db->setQuery($query);
        $devices = $db->loadAssocList();

        if (!$devices) {
            $devices = array();
        }

        return $devices;
    }
}
